Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian W. Damus2016-01-05 22:18:11 +0000
committerGerrit Code Review @ Eclipse.org2016-01-06 15:25:33 +0000
commit1dbd408ab7427b161e0ee1e02ab9413a646bd178 (patch)
treef9f73c0d4e2fc16dae81a9ce59e25905752153ce /plugins/infra/core
parent9ea592c056e4782a66b38f9941d3797af2dfb956 (diff)
downloadorg.eclipse.papyrus-1dbd408ab7427b161e0ee1e02ab9413a646bd178.tar.gz
org.eclipse.papyrus-1dbd408ab7427b161e0ee1e02ab9413a646bd178.tar.xz
org.eclipse.papyrus-1dbd408ab7427b161e0ee1e02ab9413a646bd178.zip
Bug 485220: Remove some unused dependencies in infra layer
https://bugs.eclipse.org/bugs/show_bug.cgi?id=485220 Simple removal of dependencies declared in the manifests of infra layer bundles that aren't used by those bundles. Some of these dependencies are invalid (UI dependencies in core bundles, misplaced UML or GMF/GEF dependencies, etc.) that confuse the architectural analysis.
Diffstat (limited to 'plugins/infra/core')
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF6
1 files changed, 1 insertions, 5 deletions
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
index 6dbb35181a3..cca54b93d36 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
@@ -23,17 +23,13 @@ Export-Package: org.eclipse.papyrus.infra.core,
org.eclipse.papyrus.infra.core.resource.sasheditor,
org.eclipse.papyrus.infra.core.services,
org.eclipse.papyrus.infra.core.utils
-Require-Bundle: org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0";visibility:=reexport,
- org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="1.2.0";visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="1.2.0";visibility:=reexport,
org.eclipse.core.runtime,
org.eclipse.ui.ide;bundle-version="3.8.0",
org.eclipse.emf.edit.ui;bundle-version="2.8.0",
org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.core.resources;bundle-version="3.8.0",
- org.eclipse.emf.transaction;bundle-version="1.4.0",
org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.300",
org.eclipse.gef;bundle-version="3.8.1",
- org.eclipse.emf.ecore.xmi;bundle-version="2.8.0",
org.eclipse.emf.workspace;bundle-version="1.5.1",
org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
com.google.guava;bundle-version="11.0.0",

Back to the top